import sys
import math

curtest = 1

def test(n, l, r):
    global curtest
    global was
    f = open("%02d" % curtest, "w")
    print(n, file=f)
    print(l, file=f)
    print(r, file=f)
    f.close()
    print(n, l, r)
    curtest += 1

import random
random.seed("ilfsh")

test(18, 1, 15)

# subtask 1: n <= 100, r <= 100
print(curtest)
test(7, 1, 100)
test(18, 1, 100)
test(12, 1, 100)
test(30, 1, 100)
test(36, 1, 100)
test(16, 1, 100)
test(84, 1, 100)
test(72, 17, 93)



def gcd(x, y):
    while y != 0:
        x, y = y, x % y
    return x

def is_prime(x):
    if x == 1: 
        return False
    g = 2
    while g * g <= x:
        if x % g == 0:
            return False
        g += 1
    return True

# subtask 2: n <= 100000, l = r
# subtask 3: n <= 10**9, l = r
for MAXN in [10**5, 10**9]:
    print(curtest)

    for t in range(8):
        while True:
            n = random.randint(1, MAXN)
            l = random.randint(1, 10**9)
            g = gcd(n, l)
            if g == 1 or is_prime(g):
                break
        test(n, l, l)
        while True:
            n = random.randint(1, MAXN)
            l = random.randint(1, 10**9)
            g = gcd(n, l)
            if g != 1 and not is_prime(g):
                break
        test(n, l, l)

# subtask 4: n <= 10**9, r - l <= 1000
print(curtest)

for t in range(10):
    n = random.randint(1, MAXN)
    l = random.randint(1, 10**9 - 1000)
    r = l + 1000
    test(n, l, r)

for t in range(10):
    n = 1
    while True:
        g = [2, 3, 5, 7, 11][random.randint(0, 4)]
        if n * g > 10**9:
            break
        n *= g
    l = random.randint(1, 10**9 - 1000)
    r = l + 1000
    test(n, l, r)


