#include "testlib.h"

using namespace std;

int MAXN = 1'000'000'000;
int MAXR = 1'000'000'000;

int main(int argc, char **argv)
{
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 7 : validator.group()[0] - '0';

    if (g == 1) { MAXN = 100; MAXR = 100; }
    if (g == 2) { MAXN = 100'000; }

    int n = inf.readInt(1, MAXN, "n");
    inf.readEoln();
    int l = inf.readInt(1, MAXR, "l");
    inf.readEoln();
    int r = inf.readInt(l, MAXR, "r");
    inf.readEoln();
    inf.readEof();

    if (g == 2 || g == 3) {
        ensuref(l == r, "l != r in group 2 or 3");
    }
    ensuref(r - l <= 1000, "r - l > 1000");

    return 0;
}
