import java.io.PrintStream;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;
import java.util.Scanner;

public final class f_gk {
    private final Scanner in;
    private final PrintStream out;

    private f_gk(final Scanner in, final PrintStream out) {
        this.in = in;
        this.out = out;
    }

    public static void main(final String[] args) {
        final Scanner in = new Scanner(System.in, StandardCharsets.UTF_8);
        while (in.hasNext()) {
            new f_gk(in, System.out).solve();
        }
    }

    private void solve() {
        final int n = in.nextInt();
        final int k = in.nextInt();
        final long start = System.currentTimeMillis();

        final int[][] p = new int[k + 1][n + 1];
        final int[][] levels = new int[k + 1][n + 1];
        final int[] count = new int[k + 1];
        levels[0][count[0]++] = 0;

        for (int i = 1; i * i < n; i++) {
            final int v = n - i * i;
            for (int q = k - 1; q >= 0; q--) {
                for (int w = 0; w < count[q]; w++) {
                    final int j = levels[q][w];
                    if (j + v <= n && p[q + 1][j + v] == 0) {
                        p[q + 1][j + v] = v;
                        levels[q + 1][count[q + 1]++] = j + v;
                    }
                }
            }
        }

        if (p[k][n] != 0) {
            out.println("YES");
            int rest = n;
            for (int q = k; q > 0; q--) {
                out.println(p[q][rest]);
                rest -= p[q][rest];
            }
        } else {
            out.println("NO");
        }
        System.err.println(System.currentTimeMillis() - start);
    }
}
