import java.io.PrintStream;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;
import java.util.Scanner;

public final class f_gk_count {
    private final Scanner in;
    private final PrintStream out;

    private f_gk_count(final Scanner in, final PrintStream out) {
        this.in = in;
        this.out = out;
    }

    public static void main(final String[] args) {
        final Scanner in = new Scanner(System.in, StandardCharsets.UTF_8);
        while (in.hasNext()) {
            new f_gk_count(in, System.out).solve();
        }
    }

    private void solve() {
        final int n = in.nextInt();
        final int k = in.nextInt();
        final long start = System.currentTimeMillis();

        final int[][] p = new int[k + 1][n + 1];
        final int[] count = new int[k + 1];
        count[0] = 1;
        p[0][0] = n;
        for (int i = 1; i * i < n; i++) {
            final int v = n - i * i;
            for (int q = k - 1; q >= 0; q--) {
                if (count[q] > 0) {
                    final int upper = n - v;
                    for (int j = 0; j <= upper; j++) {
                        if (p[q][j] > 0 && p[q + 1][j + v] == 0) {
                            p[q + 1][j + v] = v;
                            count[q + 1]++;
                        }
                    }
                }
            }
        }

        for (int q = 0; q <= k; q++) {
            System.err.println(q + " " + Arrays.stream(p[q]).filter(v -> v > 0).count());
        }

        if (p[k][n] != 0) {
            out.println("YES");
            int rest = n;
            for (int q = k; q > 0; q--) {
                out.println(p[q][rest]);
                rest -= p[q][rest];
            }
        } else {
            out.println("NO");
        }
        System.err.println(System.currentTimeMillis() - start);
    }
}
